Skip to main content
`Ctrl`+`K`

# DMTSGetIFunction

get `TS` implicit residual evaluation function from a `DMTS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetIFunction(DM dm, TSIFunctionFn **func, void **ctx)

Not Collective

## Input Parameter

- dm - `DM` to be used with `TS`

## Output Parameters

- func - function evaluation function, for calling sequence see `TSIFunctionFn`

- ctx - context for residual evaluation

## Note

`TSGetIFunction()` is normally used, but it calls this function internally because the user context is actually associated with the `DM`.

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `TS`, `DM`, `DMTSSetIFunction()`, `TSIFunctionFn`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages